MONGOC_GRIDFS_FILE_SAVE(3)

NAME
mongoc_gridfs_file_save - mongoc_gridfs_file_save()

SYNOPSIS

bool
mongoc_gridfs_file_save (mongoc_gridfs_file_t *file);

PARAMETERS

•   file: A mongoc_gridfs_file_t.

DESCRIPTION

Saves modifications to file to the MongoDB server.

If an error occurred, false is returned and the error can be retrieved with mongoc_gridfs_file_error().

Modifying GridFS files is NOT thread-safe. Only one thread or process can access a GridFS file while it is being modified.

RETURNS

Returns true if successful, otherwise false.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc